###################################################
### chunk number 1: 
###################################################
#line 42 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
library(affydata)
data(Dilution)


###################################################
### chunk number 2: 
###################################################
#line 56 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
Dilution


###################################################
### chunk number 3: 
###################################################
#line 64 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
phenoData(Dilution)
pData(Dilution)


###################################################
### chunk number 4: 
###################################################
#line 78 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
pData(Dilution) ##notice the scanner covariate


###################################################
### chunk number 5: 
###################################################
#line 89 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
par(mfrow=c(1,1))
boxplot(Dilution,col=c(2,2,3,3))


###################################################
### chunk number 6: 
###################################################
#line 112 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
options(warn=-1)


###################################################
### chunk number 7: 
###################################################
#line 117 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
gn <- sample(geneNames(Dilution),100) ##pick only a few genes
pms <- pm(Dilution[,3:4], gn)
mva.pairs(pms)


###################################################
### chunk number 8: 
###################################################
#line 129 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
normalized.Dilution <- Biobase::combine(normalize(Dilution[, 1:2]),
                             normalize(Dilution[, 3:4]))


###################################################
### chunk number 9: 
###################################################
#line 140 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
normalize.methods(Dilution)


###################################################
### chunk number 10: 
###################################################
#line 153 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
boxplot(normalized.Dilution, col=c(2,2,3,3), main="Normalized Arrays")


###################################################
### chunk number 11: 
###################################################
#line 164 "/builddir/build/BUILD/affydata/affydata/inst/doc/affydata.Rnw"
pms <- pm(normalized.Dilution[, 3:4],gn)
mva.pairs(pms)


